#pragma once

#include "CoreMinimal.h"
#include "SourceBasedOutlineUpdateStrategy.h"
#include "UObject/NoExportTypes.h"
#include "JerryCanOutlineUpdateStrategy.generated.h"

class AJerryCan;

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class UJerryCanOutlineUpdateStrategy : public USourceBasedOutlineUpdateStrategy
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FLinearColor _startDissolveColor;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FLinearColor _endDissolveColor;

	UPROPERTY(EditAnywhere, Transient)
	TWeakObjectPtr<AJerryCan> _owningJerryCan;

public:
	UJerryCanOutlineUpdateStrategy();
};

FORCEINLINE uint32 GetTypeHash(const UJerryCanOutlineUpdateStrategy) { return 0; }
